%define major 5
%define libname	%mklibname esmtp %{major}

%define plugindir %{_libdir}/esmtp%{major}-plugins

Summary:	SMTP client library
Name:		libesmtp
Version:	1.0.4
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
URL:		http://www.stafford.uklinux.net/libesmtp/
Source0:	ttp://www.stafford.uklinux.net/libesmtp/%{name}-%{version}.tar.bz2
Patch0:		libesmtp-build.patch
Patch1:		libesmtp-ssl.diff
BuildRequires:	openssl-devel
BuildRequires:	multiarch-utils >= 1.0.3
BuildRequires:	libltdl-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.

%package -n	%{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim. It may be used as part of a Mail User Agent (MUA) or another
program that must be able to post electronic mail but where mail
functionality is not the program's primary purpose.


%package -n	%{libname}-devel
Summary:	Headers and development libraries for libESMTP
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel

%description -n	%{libname}-devel
LibESMTP is a library to manage posting (or submission of) electronic
mail using SMTP to a preconfigured Mail Transport Agent (MTA) such as
Exim.

The libesmtp-devel package contains headers and development libraries
necessary for building programs against libesmtp.

%prep 

%setup -q
%patch0 -p1 -b .build
%patch1 -p0 -b .ssl

%build
rm -f configure
libtoolize --copy --force; aclocal-1.7; autoconf; autoheader; automake-1.7 --gnu --add-missing --copy

if pkg-config openssl ; then
    export CFLAGS="$CFLAGS %{optflags} `pkg-config --cflags openssl`"
    export CPPFLAGS="$CPPFLAGS `pkg-config --cflags-only-I openssl`"
    export LDFLAGS="$LDFLAGS `pkg-config --libs-only-L openssl`"
fi

%configure2_5x \
    --with-auth-plugin-dir=%{plugindir} \
    --enable-pthreads \
    --enable-require-all-recipients \
    --enable-etrn \
    --enable-ntlm

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# remove unneeded files
rm -f %{buildroot}%{plugindir}/*.a

%multiarch_binaries %{buildroot}%{_bindir}/libesmtp-config

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING* ChangeLog NEWS Notes README TODO
%{_libdir}/libesmtp.so.*
%{plugindir}

%files -n %{libname}-devel
%defattr(-,root,root)
%multiarch %{multiarch_bindir}/libesmtp-config
%{_bindir}/libesmtp-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la


%changelog
* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 86137
- Import libesmtp



* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-1mdv2007.1
- 1.0.4
- fix deps
- use the %%mkrel macro
- new P0 from fedora extras
- rediffed P0

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.3r1-3mdk
- added P0,P1 from fedora
- reconstruct the autotools

* Wed Mar 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.0.3r1-2mdk
- fix deps and conditional %%multiarch

* Sat Aug 21 2004 Abel Cheung <deaddog@mandrake.org> 1.0.3r1-1mdk
- New version

* Wed Jan 28 2004 Abel Cheung <deaddog@deaddog.org> 1.0.2-1mdk
- New version

* Thu Oct  9 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-3mdk
- mklibname

* Tue Jul 22 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 1.0-2mdk
- rebuild

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-1mdk
- Release 1.0 final (oops, missed it..)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.rc1.1mdk
- Release 1.0rc1

* Thu Mar  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.11-1mdk
- Release 0.8.11 (security fix)

* Thu Dec 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.8-1mdk
- Release 0.8.8

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.7-1mdk
- Fix Mdk package

* Thu Aug 30 2001 Bill Nottingham <notting@redhat.com>
- fix assertion failure when sending mail (#52940)

* Mon Aug 20 2001 Bill Nottingham <notting@redhat.com>
- update to 0.8.4 (fixes CRAM-MD5, #52097)

* Mon Jul 30 2001 Bill Nottingham <notting@redhat.com>
- don't enable starttls (not fully tested, at request of author)

* Wed Jul 24 2001 Bill Nottingham <notting@redhat.com>
- rebuild, openssl weirdness

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- initial build, clean up included spec file
- add %post/%postun
